Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2847 - rpm -ba SPECS/specfile fails for non-UNIX format files.
Summary: rpm -ba SPECS/specfile fails for non-UNIX format files.
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-15 22:13 UTC by ksanthan
Modified: 2015-01-07 23:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-18 22:20:31 UTC


Attachments (Terms of Use)

Description ksanthan 1999-05-15 22:13:58 UTC
When the specfile has CR-LF as the line separator,
rpm gets confused and does not execute commands properly.

For example, if the command is:

  make

rpm attempts to execute:  make\r

Converting the spec file to UNIX format alleviates the
problem.  However, this is not always easily done, since
a user may desire to merely rebuild a SRC.RPM package.

Comment 1 Jeff Johnson 1999-05-15 22:16:59 UTC
At the current time, rpm runs only on machines where newline
is used as a line separator.


Note You need to log in before you can comment on or make changes to this bug.